Package org.apache.cxf.common.util

# Interface ASMHelper

All Known Implementing Classes:
  `ASMHelperImpl`

public interface ASMHelper

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `ASMHelper.AnnotationVisitor`
  `static interface`
  `ASMHelper.ASMType`
  `static interface`
  `ASMHelper.ClassWriter`
  `static interface`
  `ASMHelper.FieldVisitor`
  `static interface`
  `ASMHelper.Label`
  `static interface`
  `ASMHelper.MethodVisitor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ASMHelper.ClassWriter`
  `createClassWriter()`
  `ASMHelper.Label`
  `createLabel()`
  `Class<?>`
  `getASMClass()`
  `String`
  `getClassCode(Class<?> cl)`
  `String`
  `getClassCode(Type type)`
  `String`
  `getMethodSignature(Method m)`
  `String`
  `getNonPrimitive(Class<?> tp)`
  `OpcodesProxy`
  `getOpCodes()`
  `String`
  `getPrimitive(Class<?> tp)`
  `ASMHelper.ASMType`
  `getType(String type)`

- ## Method Details

  - ### getClassCode

    String getClassCode(Class<?> cl)

  - ### getClassCode

    String getClassCode(Type type)

  - ### createClassWriter

    ASMHelper.ClassWriter createClassWriter()

  - ### getType

    ASMHelper.ASMType getType(String type)

  - ### createLabel

    ASMHelper.Label createLabel()

  - ### getOpCodes

    OpcodesProxy getOpCodes()

  - ### getASMClass

    Class<?> getASMClass() throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getMethodSignature

    String getMethodSignature(Method m)

  - ### getNonPrimitive

    String getNonPrimitive(Class<?> tp)

  - ### getPrimitive

    String getPrimitive(Class<?> tp)